Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Class MatrixDimensionMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MultiDimensionMismatchException
                              org.apache.commons.math3.linear.MatrixDimensionMismatchException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class MatrixDimensionMismatchException

extends MultiDimensionMismatchException

Exception to be thrown when either the number of rows or the number of columns of a matrix do not match the expected values.

Since:
  3.0
Version:
  $Id: MatrixDimensionMismatchException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`MatrixDimensionMismatchException(int wrongRowDim, int wrongColDim, int expectedRowDim, int expectedColDim)` Construct an exception from the mismatched dimensions.

Method Summary
`int` | `getExpectedColumnDimension()`
`int` | `getExpectedRowDimension()`
`int` | `getWrongColumnDimension()`
`int` | `getWrongRowDimension()`

Methods inherited from class org.apache.commons.math3.exception.MultiDimensionMismatchException
`getExpectedDimension, getExpectedDimensions, getWrongDimension, getWrongDimensions`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatrixDimensionMismatchException

    public MatrixDimensionMismatchException(int wrongRowDim,
                                            int wrongColDim,
                                            int expectedRowDim,
                                            int expectedColDim)

  Construct an exception from the mismatched dimensions.

  Parameters:
    `wrongRowDim` - Wrong row dimension.
    `wrongColDim` - Wrong column dimension.
    `expectedRowDim` - Expected row dimension.
    `expectedColDim` - Expected column dimension.

Method Detail

### getWrongRowDimension

    public int getWrongRowDimension()

  Returns:
    the expected row dimension.

### getExpectedRowDimension

    public int getExpectedRowDimension()

  Returns:
    the expected row dimension.

### getWrongColumnDimension

    public int getWrongColumnDimension()

  Returns:
    the wrong column dimension.

### getExpectedColumnDimension

    public int getExpectedColumnDimension()

  Returns:
    the expected column dimension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.